import { BasicService } from './basic'

class SelfCoinDetailService extends BasicService<any> {
  protected saveOrUpdateUrl(): string {
    throw new Error('Method not implemented.')
  }

  protected removeUrl(): string {
    throw new Error('Method not implemented.')
  }

  protected findPageUrl(): string {
    return '/reward/coin/list'
  }
}

export const selfCoinDetailService = new SelfCoinDetailService()
